using System.ComponentModel;

namespace GxPress.EnumConst
{
    /// <summary>
    /// 会员类型
    /// </summary>
    public enum VipCardTypeConst
    {
        [Description("月费会员")]
        Month = 1,
        [Description("季度会员")]
        Season = 2,
        [Description("年费会员")]
        Year = 3,
        [Description("连续月费会员")]
        ContinuousMonth = 4
    }
    /// <summary>
    /// 终端
    /// </summary>
    public enum VipPortTypeConst
    {
        //客户端
        [Description("PC电脑")]
        Pc = 1,
        //Android手机
        [Description("安卓手机")]
        Android = 2,
        //苹果手机
        [Description("ios手机")]
        Ios = 3,
        [Description("其他")]
        Other = 4
    }
    /// <summary>
    /// 支付方式
    /// </summary>
    public enum PayWayTypeConst
    {
        WeChat = 1,
        AliyPay = 2
    }
    /// <summary>
    /// 资源类型 文章、书籍、视频、音频、期刊
    /// </summary>
    public enum ResourceTypeConst
    {
        [Description("文章")]
        Article = 1,
        [Description("书籍")]
        Book = 2,
        [Description("课程")]
        Curriculum = 3,
        [Description("音频")]
        Audio = 4,
        [Description("期刊")]
        Journal = 5,
        [Description("视频")]
        Video = 6

    }
    /// <summary>
    /// 名栏 公众号 期刊
    /// </summary>
    public enum AttachTypeConst
    {
        [Description("名栏")]
        StarColumn = 1,
        [Description("公众号")]
        PublicNumber = 2,
        [Description("刊期")]
        Magazine = 3
    }
}